# findPropertiesByMlsId

Search properties by (partial) MLS id. Returns address suggestions with the property id (esId) to use in getProperty.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "findPropertiesByMlsId", "variables": {...} }`
- Scope: `READ`
- Type: query
- Idempotency: a read; rejects `Idempotency-Key`
- Rate-limited: no
- Result cap: `limit` is clamped to 50, without an error

## Variables

- `mlsId`: `String!` (required)
- `limit`: `Int` (default `10`)
- `offset`: `Int` (default `0`)

## Response (data, an example)

```json
{
  "property": {
    "autocompletePropertiesByMlsId": {
      "results": [
        {
          "esId": "…",
          "fullAddress": "…",
          "line1": "…",
          "line2": "…",
          "city": "…",
          "state": "…",
          "zipCode": "…",
          "parcelId": "…",
          "mlsStatus": "FOR_RENT"
        }
      ],
      "totalCount": 0,
      "hasMore": true
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "operationId": "findPropertiesByMlsId",
    "variables": {
      "mlsId": "<String>"
    }
  }'
```
